unit IrTest01;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

Const WM_PORT1 = WM_USER+1000;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Button6: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    procedure ReadHandler_PORT1(var Message: TMessage); message WM_PORT1;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses Rc5DLL;



{$R *.DFM}


procedure TForm1.ReadHandler_PORT1(var Message: TMessage);
var Rc5Code:PRc5Code;
    IrEvent:PIrEvent;
begin
  Message.Result:=0;
  Case Message.WParam of
  C_START:Listbox1.items.Add('Start Rc5 Thread');
  C_Rc5_READ:Begin
               Rc5Code:=Pointer(Message.LPARAM);
               Listbox1.items.Add('Rc5 code = '+Rc5CodeToStr(Rc5Code^)+'   RU660 code = '+IntToStr(Rc5CommandToRU660(Rc5Code^)));
             End;
  C_END:Listbox1.items.Add('End Rc5 Thread');
  C_IrEvent_READ:Begin
             IrEvent:=Pointer(Message.LPARAM);
             Listbox1.items.add(IrEventToStr(IrEvent^));
           End;

  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  SetThreadPriority(GetCurrentThread,THREAD_PRIORITY_HIGHEST);
  //WaitFunc:=F_IrEvent;
  OpenRC5ReadThread('COM2',Handle,WM_PORT1)
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  Listbox1.Clear;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  CloseRc5ReadThread;
end;

end.
